# Class Httpd

java.lang.Object
java.lang.Thread
bsh.util.Httpd

All Implemented Interfaces:
  `Runnable`

public class Httpd extends Thread
A very simple httpd that supports the remote server mode. Files are loaded relative to the classpath (as resources). Warning: this is not secure! This server can probably be duped into serving any file on your system! Beware! Note: at some point this should be recast as a beanshell script.

## Nested Class Summary

### Nested classes/interfaces inherited from class Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`Httpd(int port)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] argv)`
`void`
`run()`

### Methods inherited from class Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Httpd

public Httpd(int port) throws IOException

Throws:
  `IOException`

## Method Details

### main

public static void main(String[] argv) throws IOException

Throws:
  `IOException`

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`